felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bengt Rodehav <be...@rodehav.com>
Subject Karaf 1.4.0 and ActiveMQ 5.3.1
Date Fri, 09 Apr 2010 12:26:35 GMT
Hi everyone!

I've been trying to get ActiveMQ 5.3.1 working on Karaf 1.4.0. I
started using the Karaf features provided by ActiveMQ 5.3.1
(org.apache.activemq/activemq-karaf/5.3.1/xml/features). However, I
then made my own version of it since the version provided by ActiveMQ
refers to Karaf 1.1.0-SNAPSHOT and Spring version 2.5.6. I wanted to
use Karaf 1.4.0 and Spring 2.5.6.SEC01.

Anyway, regardless of which version of feature file I use, I get
unresolved constraints when trying to install the activemq feature.
The missing package is "javax.annotation". The workaround for me has
been to modiy the config.properties file in Karaf and add the
following line (both for jre-1.5 and jre-1.6):

 javax.annotation; version=1.0.0, \

Is this a known problem? Am I doing it the write way? Why doesn't
Karaf export javax.annotation by default?

/Bengt

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
For additional commands, e-mail: users-help@felix.apache.org


Mime
View raw message